Ask / Submit
10

[bug] lsb_release returning nosense on Jolla C@2.0.2.51

asked 2016-09-28 03:55:20 +0300

MartinK gravatar image

AFAIK the lsb_command used to return "mer" when called with the -s -i arguments ("lsb_release -s -i") on Jolla 1 and on older Sailfish OS releases. Now on Jolla C with 2.0.2.51 it just returns nonsense:

[nemo@Sailfish ~]$ lsb_release -s -i
#Thisfileiscopiedashw-release(analogoustoos-release)

It kinda looks like some default value was left in and not overridden with Mer/Sailfish OS specific value.

For a comparison, this is how the output looks like in Fedora 25:

$ lsb_release -s -i
Fedora

It would be good if this can be fixed - it should not be that hard & there could be applications depending on this for platform detection - I found this issue when the modRana platform detection module stopped working due to the change in lsb_release output.

edit retag flag offensive close delete

Comments

2

Nice finding :)

[nemo@Sailfish ~]$ lsb_release -a
LSB Version:    :core-3.1-arm:core-3.1-noarch:core-3.2-arm:core-3.2-noarch:core-4.0-arm:core-4.0-noarch:desktop-3.1-arm:desktop-3.1-noarch:desktop-3.2-arm:desktop-3.2-noarch:desktop-4.0-arm:desktop-4.0-noarch
Distributor ID: #Thisfileiscopiedashw-release(analogoustoos-release)
Description:    # This file is copied as hw-release (analogous to os-release)  
Release:        n/a
Codename:       analogoustoos-release
bhavin192 ( 2016-09-28 10:27:36 +0300 )edit

wouldn't /etc/os-release be an alternative?

balta ( 2016-09-28 12:22:30 +0300 )edit

1 Answer

Sort by » oldest newest most voted
4

answered 2016-09-28 11:25:25 +0300

Sage gravatar image

Currently the whole lsb-release package is leftover from MeeGo times and it has not really been maintained. LSB as such is not really something that we can fill with Sailfish OS currently as it is quite monolitic blob that when implementing it would actually double if not even more the Salifish OS size.

LSB 5.0 should be something that makes this better as it splits the LSB to modules so that one doesn't need to depend on things like GTK to fill the LSB. But most probably even that is not modular enough for our use.

https://wiki.linuxfoundation.org/en/Modularization50

edit flag offensive delete publish link more
Login/Signup to Answer

Question tools

Follow
2 followers

Stats

Asked: 2016-09-28 03:55:20 +0300

Seen: 312 times

Last updated: Sep 28 '16